[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.DispatchStr

Dispatch a string message.

## Declaration

Source position: objpash.inc line 226

`public procedure TObject.DispatchStr(`
`var message`
`); virtual;`

## Description

DispatchStr extracts the message identifier from Message and checks the message handler table to see if a handler for the message is found, and calls the handler, passing along the message. If no handler is found, the default DefaultHandlerStr is called.

## Errors

None.

## See also

DefaultHandlerStr |  | Default handler for string messages.
Dispatch |  | Dispatch an integer message
DefaultHandler |  | Default handler for integer message handlers.

Documentation generated on: Feb 26 2014